Subject: RE: [Megaco] ServiceChange Method Usage

From: "Tom-PT Taylor" <[email-masked]>
Date: Thu, 26 Jul 2001 13:16:09 -0400

Totally legitimate use of RESTART, I believe.  You can qualify whether you
want warm or cold restart with the ServiceChangeReason.

Tom Taylor
[email-masked]
Ph. +1 613 736 0961 (ESN 396 1490)

-----Original Message-----
From: Andrew Russell-laing [mailto:[email-masked]]
Sent: Thursday, July 26, 2001 5:30 AM
To: [email-masked]
Cc: Richard Saffrey; Richard Watts; [email-masked]
Subject: [Megaco] ServiceChange Method Usage

RFC3015 section 7.2.8 defines the usage of the ServiceChange command for
registration using the
method "RESTART". This is described for usage in the MG to MGC direction.

In our application, as a result of MGC recovery/failure actions, an MGC may
optionally require its dependent MG(s)
to perform a cold boot restart.

To do this we could use the ServiceChange method "RESTART" in the MGC to MG
direction. Alternatively we could
use the Extension Parameter and define a proprietary method of "REQUEST
RESTART".

Whilst the syntax of the H.248 protocol does not preclude the usage of the
RESTART method in the MGC to MG
direction, there is no supporting text to suggest the validity of doing
this.

Can the H.248 protocol specifiers please give a ruling on the validity of
using
service change method "RESTART" in
the MGC to MG direction.

Thanks

Andrew Russell-Laing
Marconi

_______________________________________________
Megaco mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/megaco

---

From: "Madhu Babu Brahmanapally" <[email-masked]>
Date: Thu, 26 Jul 2001 14:22:44 -0400

RE: [Megaco] ServiceChange Method UsageHI Tom,All,
As Andrew suggested, there is no statement in the protocol text suggesting
this valid action. As the Termination=ROOT service Change from MG is treated
as Registration, emphasis was on using the same from the MG perspective.
Probably around the same section we can mention that MGC also can use the
ROOT TerminationId with RESTART method to break (Or closing) the control
association.
If this is accepted, then a statement indicating that the MG should
reinitiate the "Registration" process will make the scenario complete.

Regards
Madhubabu
  -----Original Message-----
  From: [email-masked] [mailto:[email-masked]]On Behalf Of
Tom-PT Taylor
  Sent: Thursday, July 26, 2001 1:16 PM
  To: 'Andrew Russell-laing'; [email-masked]
  Cc: Richard Saffrey; Richard Watts; [email-masked]
  Subject: RE: [Megaco] ServiceChange Method Usage

  Tom Taylor

  -----Original Message-----
  From: Andrew Russell-laing [mailto:[email-masked]]
  Sent: Thursday, July 26, 2001 5:30 AM
  To: [email-masked]
  Cc: Richard Saffrey; Richard Watts; [email-masked]
  Subject: [Megaco] ServiceChange Method Usage

  In our application, as a result of MGC recovery/failure actions, an MGC
may
  optionally require its dependent MG(s)
  to perform a cold boot restart.

  To do this we could use the ServiceChange method "RESTART" in the MGC to
MG
  direction. Alternatively we could
  use the Extension Parameter and define a proprietary method of "REQUEST
  RESTART".

  Thanks

  Andrew Russell-Laing
  Marconi